Bug 158494 - Update port: audio/pd to 0.43.0
Summary: Update port: audio/pd to 0.43.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-29 19:30 UTC by tkato432
Modified: 2011-08-09 16:20 UTC (History)
0 users

See Also:


Attachments
file.diff (15.29 KB, patch)
2011-06-29 19:30 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2011-06-29 19:30:23 UTC
- Update to version 0.43.0

Remove file:
files/patch-src_s_audio_oss.c
files/patch-src_s_stuff.h
files/patch-src_t_tkcmd.c
Comment 1 Edwin Groothuis freebsd_committer 2011-06-29 19:34:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2011-07-02 08:57:13 UTC
State Changed
From-To: open->feedback

http://gecko.miwibox.org/index.php?action=describe_port&id=1821 build 
failed
Comment 3 tkato432 2011-07-07 19:00:20 UTC
Here is the corrected patch.


diff -urN /usr/ports/audio/pd/Makefile audio/pd/Makefile
--- /usr/ports/audio/pd/Makefile	2010-04-26 02:27:02.000000000 +0900
+++ audio/pd/Makefile	2011-07-02 19:41:04.000000000 +0900
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	pd
-DISTVERSION=	0.42-6
+DISTVERSION=	0.43-0
 DISTVERSIONSUFFIX=	.src
 CATEGORIES=	audio
 MASTER_SITES=	http://www-crca.ucsd.edu/~msp/Software/
@@ -14,26 +14,29 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	MIDI-capable real-time audio processor/synthesizer
 
+LICENSE=	BSD
+
 WRKSRC=		${WRKDIR}/${DISTNAME:S;.src;/src;}
 PATCH_WRKSRC=	${WRKSRC}/..
 
-USE_TCL=	yes
-USE_TK=		yes
 USE_TCL_BUILD=	yes
 USE_TK_BUILD=	yes
+USE_TK_WRAPPER=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
+CONFIGURE_ENV=	LDFLAGS="${LDFLAGS}"
 MAKEFILE=	makefile
 MAKE_JOBS_UNSAFE=	yes
 
 MAN1=		pd.1 pdreceive.1 pdsend.1
 
-CPPFLAGS=	-I${LOCALBASE}/include -I${TCL_INCLUDEDIR} -I${TK_INCLUDEDIR} \
-		${PTHREAD_CFLAGS}
-LDFLAGS=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+CPPFLAGS=	-I${TCL_INCLUDEDIR}
+LDFLAGS=	-L${LOCALBASE}/lib
 
 post-patch:
+	@${FIND} ${PATCH_WRKSRC} -name "*.[ch]" | ${XARGS} ${REINPLACE_CMD} -e \
+		's|__FreeBSD_kernel__|__FreeBSD__|g ; \
+		 s|<alloca\.h>|<stdlib.h>|g'
 	@${REINPLACE_CMD} -e \
 		's|-lpthread|${PTHREAD_LIBS}|g ; \
 		 s|CPPFLAGS="-D|CPPFLAGS="$$CPPFLAGS -D|g ; \
@@ -48,15 +51,9 @@
 		 s|x_midi.c ||g ; \
 		 s|s_midi.c ||g ; \
 		 s|INCLUDE) -o|INCLUDE) $$(LDFLAGS) -o|g' ${WRKSRC}/makefile.in
-.for file in m_binbuf.c ../extra/bonk~/bonk~.c ../extra/sigmund~/sigmund~.c
-	@${REINPLACE_CMD} -e \
-		's|<alloca\.h>|<stdlib.h>|g' ${WRKSRC}/${file}
-.endfor
 	@${REINPLACE_CMD} -e \
-		's|^#!.*$$|#!${WISH}|g' ${WRKSRC}/u_main.tk
-	@${REINPLACE_CMD} -e \
-		's|PD_BASEDIR/LICENSE|${PREFIX}/share/doc/pd/LICENSE|g ; \
-		 s|PD_BASEDIR/doc/1|${PREFIX}/share/doc/pd/1|g' \
+		's|PD_BASEDIR/LICENSE|${DOCSDIR}/LICENSE|g ; \
+		 s|PD_BASEDIR/doc/1|${DOCSDIR}/1|g' \
 			${WRKSRC}/../doc/1.manual/1.introduction.txt
 
 do-install:
@@ -74,10 +71,9 @@
 	@${FIND} ${PREFIX}/lib/pd -type d -exec ${CHMOD} 755 {} \;
 	@${FIND} ${PREFIX}/lib/pd -type f -exec ${CHMOD} ${LIBMODE} {} \;
 	@${MKDIR} ${PREFIX}/lib/pd/bin
-.for file in pd-gui pd-watchdog
-	${INSTALL_PROGRAM} ${WRKSRC}/../bin/${file} ${PREFIX}/lib/pd/bin
-.endfor
-	${INSTALL_SCRIPT} ${WRKSRC}/../bin/pd.tk ${PREFIX}/lib/pd/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/../bin/pd-watchdog ${PREFIX}/lib/pd/bin
+	@${MKDIR} ${PREFIX}/lib/pd/tcl
+	${INSTALL_DATA} ${WRKSRC}/../tcl/*.tcl ${PREFIX}/lib/pd/tcl
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 	@(${TAR} -C ${WRKSRC}/../doc --exclude "*.bak" --exclude "*.orig" \
diff -urN /usr/ports/audio/pd/distinfo audio/pd/distinfo
--- /usr/ports/audio/pd/distinfo	2011-03-20 02:15:47.000000000 +0900
+++ audio/pd/distinfo	2011-04-04 12:22:35.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (pd-0.42-6.src.tar.gz) = f95c38b7702c8dfdaf083790bb00f7c027cf283073fb93f1a6c41ad386ccaa11
-SIZE (pd-0.42-6.src.tar.gz) = 2021037
+SHA256 (pd-0.43-0.src.tar.gz) = e2fbc8f854397368fe428c6dc358a46e00065daf7bd9dc18c85304b9513fd8e1
+SIZE (pd-0.43-0.src.tar.gz) = 2194131
diff -urN /usr/ports/audio/pd/files/patch-extra_pd_pd.c audio/pd/files/patch-extra_pd_pd.c
--- /usr/ports/audio/pd/files/patch-extra_pd_pd.c	2009-01-16 09:10:07.000000000 +0900
+++ audio/pd/files/patch-extra_pd_pd.c	2011-04-06 19:24:59.000000000 +0900
@@ -1,5 +1,5 @@
---- extra/pd~/pd~.c.orig	2008-12-12 01:29:02.000000000 +0900
-+++ extra/pd~/pd~.c	2009-01-12 01:36:46.000000000 +0900
+--- extra/pd~/pd~.c.orig	2010-07-29 05:55:17.000000000 +0900
++++ extra/pd~/pd~.c	2011-04-06 19:18:20.000000000 +0900
 @@ -11,6 +11,7 @@
  #include <stdlib.h>
  #include <errno.h>
@@ -8,12 +8,3 @@
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <sys/wait.h>
-@@ -47,7 +48,7 @@
- 
- #endif
- 
--#ifdef __linux__
-+#if defined(__linux__) || defined(__FreeBSD__)
- #ifdef __x86_64__
- static char pd_tilde_dllextent[] = ".l_ia64",
-     pd_tilde_dllextent2[] = ".pd_linux";
diff -urN /usr/ports/audio/pd/files/patch-src_m_sched.c audio/pd/files/patch-src_m_sched.c
--- /usr/ports/audio/pd/files/patch-src_m_sched.c	2009-01-17 03:22:34.000000000 +0900
+++ audio/pd/files/patch-src_m_sched.c	2011-04-06 21:08:40.000000000 +0900
@@ -1,5 +1,5 @@
---- src/m_sched.c.orig	2008-03-15 09:03:00.000000000 +0900
-+++ src/m_sched.c	2008-08-23 22:07:34.000000000 +0900
+--- src/m_sched.c.orig	2011-03-10 15:02:41.000000000 +0900
++++ src/m_sched.c	2011-04-06 19:40:16.000000000 +0900
 @@ -394,8 +394,10 @@
  the audio I/O system is still busy with previous transfers.
  */
@@ -41,10 +41,10 @@
          if (sys_pollgui())
          {
              if (!didsomething)
-@@ -522,11 +530,15 @@
- 
+@@ -523,11 +531,15 @@
  void sched_audio_callbackfn(void)
  {
+     sys_lock();
 +#if !defined(__FreeBSD__)
      sys_setmiditimediff(0, 1e-6 * sys_schedadvance);
 +#endif
@@ -57,7 +57,7 @@
      sys_addhist(3);
      sys_pollgui();
      sys_addhist(5);
-@@ -536,7 +548,9 @@
+@@ -538,7 +550,9 @@
  
  static void m_callbackscheduler(void)
  {
@@ -66,4 +66,4 @@
 +#endif
      while (!sys_quit)
      {
- #ifdef MSW
+         double timewas = sys_time;
diff -urN /usr/ports/audio/pd/files/patch-src_s_audio_oss.c audio/pd/files/patch-src_s_audio_oss.c
--- /usr/ports/audio/pd/files/patch-src_s_audio_oss.c	2003-11-12 09:55:19.000000000 +0900
+++ audio/pd/files/patch-src_s_audio_oss.c	1970-01-01 09:00:00.000000000 +0900
@@ -1,13 +0,0 @@
-$FreeBSD: ports/audio/pd/files/patch-src_s_audio_oss.c,v 1.1 2003/11/12 00:55:19 trevor Exp $
-
---- src/s_audio_oss.c.orig	Sat Oct 18 22:44:55 2003
-+++ src/s_audio_oss.c	Tue Nov 11 21:15:24 2003
-@@ -5,7 +5,7 @@
- 
- /* this file inputs and outputs audio using the OSS API available on linux. */
- 
--#include <linux/soundcard.h>
-+#include <sys/soundcard.h>
- 
- #include "m_pd.h"
- #include "s_stuff.h"
diff -urN /usr/ports/audio/pd/files/patch-src_s_inter.c audio/pd/files/patch-src_s_inter.c
--- /usr/ports/audio/pd/files/patch-src_s_inter.c	2009-01-17 03:22:34.000000000 +0900
+++ audio/pd/files/patch-src_s_inter.c	2011-04-06 21:11:53.000000000 +0900
@@ -1,15 +1,6 @@
---- src/s_inter.c.orig	2008-03-15 09:03:00.000000000 +0900
-+++ src/s_inter.c	2008-08-23 21:40:09.000000000 +0900
-@@ -839,7 +839,7 @@
- 
- static int sys_watchfd;
- 
--#ifdef __linux__
-+#if defined(__linux__) || defined(__FreeBSD__)
- void glob_watchdog(t_pd *dummy)
- {
-     if (write(sys_watchfd, "\n", 1) < 1)
-@@ -1263,7 +1263,11 @@
+--- src/s_inter.c.orig	2011-03-20 07:22:27.000000000 +0900
++++ src/s_inter.c	2011-04-06 20:20:35.000000000 +0900
+@@ -1251,7 +1251,11 @@
               sys_gui("pdtk_watchdog\n");
  #endif
           sys_get_audio_apis(buf);
@@ -18,17 +9,6 @@
 +#else
           sys_get_midi_apis(buf2);
 +#endif
-          sys_vgui("pdtk_pd_startup {%s} %s %s {%s} %s\n", pd_version, buf, buf2, 
-                   sys_font, sys_fontweight); 
-     }
-@@ -1285,8 +1289,10 @@
- #ifndef __linux__  /* sys_close_audio() hangs if you're in a signal? */
-         fprintf(stderr, "closing audio...\n");
-         sys_close_audio();
-+#if !defined(__FreeBSD__)
-         fprintf(stderr, "closing MIDI...\n");
-         sys_close_midi();
-+#endif
-         fprintf(stderr, "... done.\n");
- #endif
-         exit(n);
+          sys_set_searchpath();     /* tell GUI about path and startup flags */
+          sys_set_extrapath();
+          sys_set_startup();
diff -urN /usr/ports/audio/pd/files/patch-src_s_main.c audio/pd/files/patch-src_s_main.c
--- /usr/ports/audio/pd/files/patch-src_s_main.c	2009-01-17 03:22:34.000000000 +0900
+++ audio/pd/files/patch-src_s_main.c	2011-04-06 19:30:29.000000000 +0900
@@ -1,6 +1,6 @@
---- src/s_main.c.orig	2008-03-15 09:03:00.000000000 +0900
-+++ src/s_main.c	2008-08-23 21:44:26.000000000 +0900
-@@ -301,7 +301,9 @@
+--- src/s_main.c.orig	2011-03-07 10:11:02.000000000 +0900
++++ src/s_main.c	2011-04-06 19:30:04.000000000 +0900
+@@ -300,7 +300,9 @@
      else
      {
              /* open audio and MIDI */
@@ -10,7 +10,7 @@
          sys_reopen_audio();
              /* run scheduler until it quits */
          return (m_mainloop());
-@@ -633,7 +635,9 @@
+@@ -628,7 +630,9 @@
          }
          else if (!strcmp(*argv, "-alsamidi"))
          {
@@ -20,7 +20,7 @@
              argc--; argv++;
          }
  #endif
-@@ -916,7 +920,11 @@
+@@ -936,7 +940,11 @@
              /* add "doc/5.reference" library to helppath */
      strncpy(sbuf, sys_libdir->s_name, MAXPDSTRING-30);
      sbuf[MAXPDSTRING-30] = 0;
@@ -32,7 +32,7 @@
      sys_helppath = namelist_append_files(sys_helppath, sbuf);
          /* correct to make audio and MIDI device lists zero based.  On
          MMIO, however, "1" really means the second device (the first one
-@@ -969,7 +977,9 @@
+@@ -990,7 +998,9 @@
          for (i = 0; i < naudiooutdev; i++)
              audiooutdev[i] = sys_soundoutdevlist[i];
      }
@@ -42,10 +42,10 @@
      if (sys_nmidiin >= 0)
      {
          post("sys_nmidiin %d, nmidiindev %d", sys_nmidiin, nmidiindev);
-@@ -992,7 +1002,9 @@
+@@ -1015,7 +1025,9 @@
      sys_set_audio_settings(naudioindev, audioindev, nchindev, chindev,
          naudiooutdev, audiooutdev, nchoutdev, choutdev, rate, advance, 
-         callback);
+         callback, blocksize);
 +#if !defined(__FreeBSD__)
      sys_open_midi(nmidiindev, midiindev, nmidioutdev, midioutdev, 0);
 +#endif
diff -urN /usr/ports/audio/pd/files/patch-src_s_stuff.h audio/pd/files/patch-src_s_stuff.h
--- /usr/ports/audio/pd/files/patch-src_s_stuff.h	2003-11-12 09:55:19.000000000 +0900
+++ audio/pd/files/patch-src_s_stuff.h	1970-01-01 09:00:00.000000000 +0900
@@ -1,15 +0,0 @@
-$FreeBSD: ports/audio/pd/files/patch-src_s_stuff.h,v 1.1 2003/11/12 00:55:19 trevor Exp $
-
---- src/s_stuff.h.orig	Thu Jul 31 18:26:16 2003
-+++ src/s_stuff.h	Tue Nov 11 21:50:10 2003
-@@ -131,10 +131,8 @@
- #define API_PORTAUDIO 4
- #define API_JACK 5
- 
--#ifdef __linux__
- #define API_DEFAULT API_OSS
- #define API_DEFSTRING "OSS"
--#endif
- #ifdef MSW
- #define API_DEFAULT API_MMIO
- #define API_DEFSTRING "MMIO"
diff -urN /usr/ports/audio/pd/files/patch-src_t_tkcmd.c audio/pd/files/patch-src_t_tkcmd.c
--- /usr/ports/audio/pd/files/patch-src_t_tkcmd.c	2007-03-27 21:23:05.000000000 +0900
+++ audio/pd/files/patch-src_t_tkcmd.c	1970-01-01 09:00:00.000000000 +0900
@@ -1,13 +0,0 @@
---- src/t_tkcmd.c.orig	Sat Dec 31 21:08:37 2005
-+++ src/t_tkcmd.c	Sun Mar 25 12:12:15 2007
-@@ -50,6 +50,10 @@
- #define STARTGUI
- #endif
- 
-+#ifdef __FreeBSD__
-+#define STARTGUI
-+#endif
-+
- #define FIRSTPORTNUM 5600
- 
- void tcl_mess(char *s);
diff -urN /usr/ports/audio/pd/pkg-plist audio/pd/pkg-plist
--- /usr/ports/audio/pd/pkg-plist	2010-04-26 02:27:02.000000000 +0900
+++ audio/pd/pkg-plist	2011-04-06 19:58:10.000000000 +0900
@@ -2,24 +2,26 @@
 bin/pdreceive
 bin/pdsend
 include/m_pd.h
+lib/pd/Makefile.am
 lib/pd/README.txt
-lib/pd/bin/pd-gui
 lib/pd/bin/pd-watchdog
-lib/pd/bin/pd.tk
+lib/pd/bonk~/GNUmakefile.am
 lib/pd/bonk~/bonk~-help.pd
 lib/pd/bonk~/bonk~.c
 lib/pd/bonk~/bonk~.pd_linux
 lib/pd/bonk~/makefile
 lib/pd/bonk~/templates.txt
+lib/pd/choice/GNUmakefile.am
 lib/pd/choice/choice-help.pd
 lib/pd/choice/choice.c
 lib/pd/choice/choice.pd_linux
 lib/pd/choice/makefile
 lib/pd/complex-mod~-help.pd
 lib/pd/complex-mod~.pd
-%%PORTDOCS%%lib/pd/doc
+lib/pd/doc
 lib/pd/expr-help.pd
 lib/pd/expr.pd_linux
+lib/pd/expr~/GNUmakefile.am
 lib/pd/expr~/LICENSE.txt
 lib/pd/expr~/README.txt
 lib/pd/expr~/expr.pd_linux
@@ -36,22 +38,26 @@
 lib/pd/expr~/vexp_if.pd_linux_o
 lib/pd/expr~.pd_linux
 lib/pd/fexpr~.pd_linux
+lib/pd/fiddle~/GNUmakefile.am
 lib/pd/fiddle~/fiddle~-help.pd
 lib/pd/fiddle~/fiddle~.c
 lib/pd/fiddle~/fiddle~.pd_linux
 lib/pd/fiddle~/makefile
 lib/pd/hilbert~-help.pd
 lib/pd/hilbert~.pd
+lib/pd/loop~/GNUmakefile.am
 lib/pd/loop~/loop~-help.pd
 lib/pd/loop~/loop~.c
 lib/pd/loop~/loop~.pd_linux
 lib/pd/loop~/makefile
 lib/pd/loop~/test-loop~.pd
+lib/pd/lrshift~/GNUmakefile.am
 lib/pd/lrshift~/lrshift~-help.pd
 lib/pd/lrshift~/lrshift~.c
 lib/pd/lrshift~/lrshift~.pd_linux
 lib/pd/lrshift~/makefile
-lib/pd/makefile
+lib/pd/makefile.subdir
+lib/pd/pd~/GNUmakefile.am
 lib/pd/pd~/makefile
 lib/pd/pd~/notes.txt
 lib/pd/pd~/pdsched.c
@@ -61,6 +67,7 @@
 lib/pd/pd~/pd~.c
 lib/pd/pd~/pd~.pd_linux
 lib/pd/pd~/z.pd
+lib/pd/pique/GNUmakefile.am
 lib/pd/pique/makefile
 lib/pd/pique/pique-help.pd
 lib/pd/pique/pique.c
@@ -73,14 +80,46 @@
 lib/pd/rev2~.pd
 lib/pd/rev3~-help.pd
 lib/pd/rev3~.pd
+lib/pd/sigmund~/GNUmakefile.am
 lib/pd/sigmund~/makefile
 lib/pd/sigmund~/sigmund~-help.pd
 lib/pd/sigmund~/sigmund~.c
 lib/pd/sigmund~/sigmund~.pd_linux
+lib/pd/stdout/GNUmakefile.am
 lib/pd/stdout/makefile
 lib/pd/stdout/stdout-help.pd
 lib/pd/stdout/stdout.c
 lib/pd/stdout/stdout.pd_linux
+lib/pd/tcl/AppMain.tcl
+lib/pd/tcl/apple_events.tcl
+lib/pd/tcl/dialog_array.tcl
+lib/pd/tcl/dialog_audio.tcl
+lib/pd/tcl/dialog_canvas.tcl
+lib/pd/tcl/dialog_data.tcl
+lib/pd/tcl/dialog_find.tcl
+lib/pd/tcl/dialog_font.tcl
+lib/pd/tcl/dialog_gatom.tcl
+lib/pd/tcl/dialog_iemgui.tcl
+lib/pd/tcl/dialog_message.tcl
+lib/pd/tcl/dialog_midi.tcl
+lib/pd/tcl/dialog_path.tcl
+lib/pd/tcl/dialog_startup.tcl
+lib/pd/tcl/helpbrowser.tcl
+lib/pd/tcl/opt_parser.tcl
+lib/pd/tcl/pd-gui.tcl
+lib/pd/tcl/pd_bindings.tcl
+lib/pd/tcl/pd_connect.tcl
+lib/pd/tcl/pd_menucommands.tcl
+lib/pd/tcl/pd_menus.tcl
+lib/pd/tcl/pdtk_array.tcl
+lib/pd/tcl/pdtk_canvas.tcl
+lib/pd/tcl/pdtk_text.tcl
+lib/pd/tcl/pdwindow.tcl
+lib/pd/tcl/pkgIndex.tcl
+lib/pd/tcl/pkg_mkIndex.tcl
+lib/pd/tcl/scrollbox.tcl
+lib/pd/tcl/scrollboxwindow.tcl
+lib/pd/tcl/wheredoesthisgo.tcl
 %%PORTDOCS%%%%DOCSDIR%%/1.manual/1.introduction.txt
 %%PORTDOCS%%%%DOCSDIR%%/1.manual/fig1.1.png
 %%PORTDOCS%%%%DOCSDIR%%/1.manual/fig1.2.jpg
@@ -314,10 +353,10 @@
 %%PORTDOCS%%%%DOCSDIR%%/4.data.structures/voice.pd
 %%PORTDOCS%%%%DOCSDIR%%/4.data.structures/z.txt
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/0_all_guis-INTRO.txt
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/abs~-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/acoustics-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/acoustics~-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/adc~_dac~-help.pd
-%%PORTDOCS%%%%DOCSDIR%%/5.reference/abs~-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/append-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/bag-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/bang-help.pd
@@ -422,7 +461,9 @@
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/tabosc4~-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/tabplay~-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/tabread-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabread4-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/tabread4~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabread~-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/tabreceive~-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/tabsend~-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/tabwrite-help.pd
@@ -483,6 +524,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/load-meter.pd
 %%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/testtone.pd
 %%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/testtone16.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/z.pd
 %%PORTDOCS%%%%DOCSDIR%%/LICENSE.txt
 %%PORTDOCS%%%%DOCSDIR%%/README.txt
 %%PORTDOCS%%%%DOCSDIR%%/sound/bell.aiff
@@ -500,6 +542,7 @@
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/2.control.examples
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/1.manual
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm lib/pd/tcl
 @dirrm lib/pd/stdout
 @dirrm lib/pd/sigmund~
 @dirrm lib/pd/pique
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-07-12 05:58:05 UTC
State Changed
From-To: feedback->open

Submitter has replied with updated patch. 


Comment 5 Mark Linimon freebsd_committer freebsd_triage 2011-07-12 05:58:05 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to pool at assignee request for the moment.
Comment 6 Emanuel Haupt freebsd_committer 2011-08-09 12:17:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 7 Emanuel Haupt freebsd_committer 2011-08-09 16:19:51 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 8 dfilter service freebsd_committer 2011-08-09 16:20:01 UTC
ehaupt      2011-08-09 15:19:47 UTC

  FreeBSD ports repository

  Modified files:
    audio/pd             Makefile distinfo pkg-plist 
    audio/pd/files       patch-extra_pd_pd.c patch-src_m_sched.c 
                         patch-src_s_inter.c patch-src_s_main.c 
  Removed files:
    audio/pd/files       patch-src_s_audio_oss.c 
                         patch-src_s_stuff.h patch-src_t_tkcmd.c 
  Log:
  Update to 0.43.0
  
  PR:             158494
  Submitted by:   KATO Tsuguru <tkato432@yahoo.com>
  
  Revision  Changes    Path
  1.36      +15 -19    ports/audio/pd/Makefile
  1.15      +2 -2      ports/audio/pd/distinfo
  1.2       +2 -11     ports/audio/pd/files/patch-extra_pd_pd.c
  1.4       +6 -6      ports/audio/pd/files/patch-src_m_sched.c
  1.2       +0 -13     ports/audio/pd/files/patch-src_s_audio_oss.c (dead)
  1.4       +6 -26     ports/audio/pd/files/patch-src_s_inter.c
  1.4       +8 -8      ports/audio/pd/files/patch-src_s_main.c
  1.2       +0 -15     ports/audio/pd/files/patch-src_s_stuff.h (dead)
  1.2       +0 -13     ports/audio/pd/files/patch-src_t_tkcmd.c (dead)
  1.6       +48 -5     ports/audio/pd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"